Bug 209838 - NullPointerException at java.net.URI$Parser.parse
NullPointerException at java.net.URI$Parser.parse
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Jesse Glick
issues@connecteddeveloper
EXCEPTIONS_REPORT
:
Depends on: 210884
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 09:52 UTC by sunbiz
Modified: 2012-04-12 09:56 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.42 KB, text/plain)
2012-03-21 09:52 UTC, sunbiz
Details
stacktrace (4.42 KB, text/plain)
2012-03-28 19:05 UTC, sunbiz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sunbiz 2012-03-21 09:52:45 UTC
Build: NetBeans IDE Dev (Build 201203200400)
VM: Java HotSpot(TM) 64-Bit Server VM, 22.1-b02, Java(TM) SE Runtime Environment, 1.7.0_03-b05
OS: Windows 7

User Comments:
sunbiz: Tools -> Create Build Job threw this exception

GUEST: create Hudson Job from current Maven project




Stacktrace: 
java.lang.NullPointerException
   at java.net.URI$Parser.parse(URI.java:3023)
   at java.net.URI.<init>(URI.java:595)
   at org.netbeans.modules.hudson.subversion.SvnUtils.parseCheckout(SvnUtils.java:99)
   at org.netbeans.modules.hudson.subversion.SvnUtils.parseCheckout(SvnUtils.java:72)
   at org.netbeans.modules.hudson.subversion.HudsonSubversionSCM.forFolder(HudsonSubversionSCM.java:81)
   at org.netbeans.modules.hudson.spi.ProjectHudsonJobCreatorFactory$Helper.prepareSCM(ProjectHudsonJobCreatorFactory.java:197)
Comment 1 sunbiz 2012-03-21 09:52:49 UTC
Created attachment 116986 [details]
stacktrace
Comment 2 Jesse Glick 2012-03-26 23:20:32 UTC
Looks like you have a malformed .svn/entries file? I will improve the exception to give a bit more info.
Comment 3 Jesse Glick 2012-03-26 23:21:04 UTC
core-main #0990e67f37cc
Comment 4 sunbiz 2012-03-28 19:05:20 UTC
Created attachment 117432 [details]
stacktrace

Team->Create Build Job
Comment 5 Quality Engineering 2012-04-11 09:58:10 UTC
Integrated into 'main-golden', will be available in build *201204110400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/12aa1bc4d0b9
User: Jesse Glick <jglick@netbeans.org>
Log: #210884: IOException: #209838: incomplete file:/... from hudson.subversion.SvnUtils.parseCheckout
Comment 6 Quality Engineering 2012-04-12 09:56:41 UTC
Integrated into 'main-golden', will be available in build *201204120400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/12aa1bc4d0b9
User: Jesse Glick <jglick@netbeans.org>
Log: #210884: IOException: #209838: incomplete file:/... from hudson.subversion.SvnUtils.parseCheckout


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo